
Redmine - Defect #18995

Problem with Clean up - migration 2.5 to 2.6

2015-02-01 20:16 - Ladislav Nesnera

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.6.1

Description

# bundle exec rake tmp:cache:clear tmp:sessions:clear

rake aborted!

Mysql2::Error: Access denied for user 'root'@'localhost' (using password: NO)

/var/lib/gems/1.9.1/gems/mysql2-0.3.17/lib/mysql2/client.rb:70:in `connect'

/var/lib/gems/1.9.1/gems/mysql2-0.3.17/lib/mysql2/client.rb:70:in `initialize

..

..

/var/lib/gems/1.9.1/gems/railties-3.2.21/lib/rails/railtie/configurable.rb:30:in `method_missing'

/usr/local/lib/redmine/Rakefile:7:in `<top (required)>'

(See full trace by running task with --trace)

 Redmine works well after apache restart but only for first look. There is no datepicker, Notes preview or Description editing.

When I tried downgrade I met with this defect #18779

History

#1 - 2015-02-02 03:56 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Obviously, your user and password in config/database.yml are wrong.

#2 - 2015-02-06 22:39 - Ladislav Nesnera

Big thanks Toshi. It solved my problem.

I met with another one "database configuration does not specify adapter".  Solution is to append parameter RAILS_ENV=production. It would be

possible to update wiki instructions - http://www.redmine.org/projects/redmine/wiki/RedmineUpgrade#Step-5-Clean-up

#3 - 2015-02-06 23:30 - Jean-Philippe Lang

Wiki updated, thanks.
